// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class StackOfArrowsAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new StackOfArrowsAddonDeed();
			}
		}

		[ Constructable ]
		public StackOfArrowsAddon()
		{
			AddComponent( new AddonComponent( 3905 ), 0, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 3905 );
			AddComponent( ac, 0, 0, 0 );

		}

		public StackOfArrowsAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class StackOfArrowsAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new StackOfArrowsAddon();
			}
		}

		[Constructable]
		public StackOfArrowsAddonDeed()
		{
			Name = "StackOfArrows";
		}

		public StackOfArrowsAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}